/*******************************************************************************
 Copyright (c) Microsoft Open Technologies, Inc. All Rights Reserved.
 Licensed under the MIT or Apache License; see LICENSE in the source repository
 root for authoritative license information.﻿

 **NOTE** This code was generated by a tool and will occasionally be
 overwritten. We welcome comments and issues regarding this code; they will be
 addressed in the generation tool. If you wish to submit pull requests, please
 do so for the templates in that tool.

 This code was generated by Vipr (https://github.com/microsoft/vipr) using
 the T4TemplateWriter (https://github.com/msopentech/vipr-t4templatewriter).
 ******************************************************************************/
package com.microsoft.services.graph;

import com.microsoft.services.orc.core.ODataBaseEntity;


/**
 * The type OAuth2Permission.
*/
public class OAuth2Permission extends ODataBaseEntity {

    public OAuth2Permission(){
        setODataType("#Microsoft.Graph.OAuth2Permission");
    }

    private String adminConsentDescription;

    /**
    * Gets the admin Consent Description.
    *
    * @return the String
    */
    public String getAdminConsentDescription() {
        return this.adminConsentDescription; 
    }

    /**
    * Sets the admin Consent Description.
    *
    * @param value the String
    */
    public void setAdminConsentDescription(String value) { 
        this.adminConsentDescription = value;
        valueChanged("adminConsentDescription", value);

    }

    private String adminConsentDisplayName;

    /**
    * Gets the admin Consent Display Name.
    *
    * @return the String
    */
    public String getAdminConsentDisplayName() {
        return this.adminConsentDisplayName; 
    }

    /**
    * Sets the admin Consent Display Name.
    *
    * @param value the String
    */
    public void setAdminConsentDisplayName(String value) { 
        this.adminConsentDisplayName = value;
        valueChanged("adminConsentDisplayName", value);

    }

    private java.util.UUID id;

    /**
    * Gets the id.
    *
    * @return the java.util.UUID
    */
    public java.util.UUID getId() {
        return this.id; 
    }

    /**
    * Sets the id.
    *
    * @param value the java.util.UUID
    */
    public void setId(java.util.UUID value) { 
        this.id = value;
        valueChanged("id", value);

    }

    private Boolean isEnabled;

    /**
    * Gets the is Enabled.
    *
    * @return the Boolean
    */
    public Boolean getIsEnabled() {
        return this.isEnabled; 
    }

    /**
    * Sets the is Enabled.
    *
    * @param value the Boolean
    */
    public void setIsEnabled(Boolean value) { 
        this.isEnabled = value;
        valueChanged("isEnabled", value);

    }

    private String type;

    /**
    * Gets the type.
    *
    * @return the String
    */
    public String getType() {
        return this.type; 
    }

    /**
    * Sets the type.
    *
    * @param value the String
    */
    public void setType(String value) { 
        this.type = value;
        valueChanged("type", value);

    }

    private String userConsentDescription;

    /**
    * Gets the user Consent Description.
    *
    * @return the String
    */
    public String getUserConsentDescription() {
        return this.userConsentDescription; 
    }

    /**
    * Sets the user Consent Description.
    *
    * @param value the String
    */
    public void setUserConsentDescription(String value) { 
        this.userConsentDescription = value;
        valueChanged("userConsentDescription", value);

    }

    private String userConsentDisplayName;

    /**
    * Gets the user Consent Display Name.
    *
    * @return the String
    */
    public String getUserConsentDisplayName() {
        return this.userConsentDisplayName; 
    }

    /**
    * Sets the user Consent Display Name.
    *
    * @param value the String
    */
    public void setUserConsentDisplayName(String value) { 
        this.userConsentDisplayName = value;
        valueChanged("userConsentDisplayName", value);

    }

    private String value;

    /**
    * Gets the value.
    *
    * @return the String
    */
    public String getValue() {
        return this.value; 
    }

    /**
    * Sets the value.
    *
    * @param value the String
    */
    public void setValue(String value) { 
        this.value = value;
        valueChanged("value", value);

    }
}
